<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class GroupWaSettingModel extends Model
{
    use HasFactory;
    protected $table = 'group_wa_setting';
    protected $primaryKey = 'uuid';
    protected $fillable = ['uuid_setting_siaga','uuid_group','siaga'];
    public $timestamps = false;

    public function setting_siaga()
    {
        return $this->belongsTo(SettingSiagaModel::class,'uuid_setting_siaga');
    }

    public function group()
    {
        return $this->belongsTo(GroupModel::class,'uuid_group');
    }
}
